Get Grok Conversation
curl --request POST \
--url https://api.twexapi.io/v3/twitter/grok/conversation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversation_id": "2063972906435248338",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}
'import requests
url = "https://api.twexapi.io/v3/twitter/grok/conversation"
payload = {
"conversation_id": "2063972906435248338",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversation_id: '2063972906435248338',
cookie: 'ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7',
proxy: 'http://username:password@ip:port'
})
};
fetch('https://api.twexapi.io/v3/twitter/grok/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": {
"conversation_id": "<string>",
"is_pinned": false,
"cursor": "<string>",
"items": [
{
"chat_item_id": "2063977852924837888",
"message": "<string>",
"sender_type": "User",
"created_at_ms": 123,
"grok_mode": "Normal",
"thinking_trace": "<string>",
"image_urls": [
"<string>"
]
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Grok Endpoints
Get Grok Conversation
Get Grok conversation detail by conversation id.
POST
/
v3
/
twitter
/
grok
/
conversation
Get Grok Conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Parameters for getting a Grok conversation detail
Grok conversation rest id.
Example:
"2063972906435248338"
Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
Example:
"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
Proxy ref for session. Example: http://username:password@ip:port [blocked]
Example:
"http://username:password@ip:port"
⌘I